## hubzero-cms 20120923.6

=== Makefile ===
# @package      hubzero-cms
# @file         Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2012 HUBzero Foundation, LLC.
# @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
#
# Copyright (c) 2012 HUBzero Foundation, LLC.
#
# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
#
# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
# software: you can redistribute it and/or modify it under the terms of
# the GNU Lesser General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# HUBzero is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.

USRSHAREDIR=$(DESTDIR)/usr/share
USRBINDIR=$(DESTDIR)/usr/bin
VARLOGDIR=$(DESTDIR)/var/log

default all build:
	@true
	
install:
	install --mode 0755 -d $(USRSHAREDIR)/hubzero-cms
	cp -r cms $(USRSHAREDIR)/hubzero-cms
	rm -fr $(USRSHAREDIR)/hubzero-cms/cms/.git
	install --mode 0644 -D logrotate-cmsauth.m4 $(USRSHAREDIR)/hubzero-cms/conf/logrotate-cmsauth.m4
	install --mode 0644 -D logrotate-cmsdebug.m4 $(USRSHAREDIR)/hubzero-cms/conf
	install --mode 0644 -D logrotate-hub-access.m4 $(USRSHAREDIR)/hubzero-cms/conf
	install --mode 0644 -D logrotate-hub-error.m4 $(USRSHAREDIR)/hubzero-cms/conf
	install --mode 0644 -D hub-ssl.m4 $(USRSHAREDIR)/hubzero-cms/conf
	install --mode 0644 -D hub.m4 $(USRSHAREDIR)/hubzero-cms/conf
	install --mode 0755 -D hzcms $(USRBINDIR)/hzcms
	install --mode 0755 -d $(VARLOGDIR)/apache2
	install --mode 0770 -d $(VARLOGDIR)/apache2/daily
	install --mode 0770 -d $(VARLOGDIR)/apache2/imported
	install --mode 0770 -d $(VARLOGDIR)/apache2/archive
	install --mode 0770 -d $(VARLOGDIR)/hubzero-cms
	install --mode 0770 -d $(VARLOGDIR)/hubzero-cms/daily
	install --mode 0770 -d $(VARLOGDIR)/hubzero-cms/imported
	install --mode 0770 -d $(VARLOGDIR)/hubzero-cms/archive

configure:
	install --mode 0755 --owner root --group adm -d /var/log/apache2
	install --mode 0770 --owner www-data --group www-data -d /var/log/apache2/daily
	install --mode 0770 --owner www-data --group www-data -d /var/log/apache2/imported
	install --mode 0770 --owner www-data --group www-data -d /var/log/apache2/archive
	install --mode 0770 --owner root --group www-data -d /var/log/hubzero-cms
	install --mode 0770 --owner root --group www-data -d /var/log/hubzero-cms/daily
	install --mode 0770 --owner root --group www-data -d /var/log/hubzero-cms/imported
	install --mode 0770 --owner root --group www-data -d /var/log/hubzero-cms/archive
	
clean:
	@true

## hubzero-cms 20110403.3

=== debian/changelog ===
hubzero-cms (20110403.3-5) testing; urgency=low

  * Updated to 1.0 -- left source code date alone

 -- John Rosheck <jrosheck@purdue.edu>  Thu, 07 Apr 2011 23:44:34 -0400

hubzero-cms (20110403.3-4) testing; urgency=low

  * new cron file for newer log rotater 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 04 Apr 2011 15:55:39 -0400

hubzero-cms (20110403.3-3) testing; urgency=low

  * add apache and cmsauth  log rotater 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 04 Apr 2011 15:31:44 -0400

hubzero-cms (20110403.3-2) testing; urgency=low

  * add daily log directories

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 04 Apr 2011 15:21:09 -0400

hubzero-cms (20110403.3-1) testing; urgency=low

  * New upstream (update paths to texvc and addrepo)

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sun, 03 Apr 2011 17:06:50 -0400

hubzero-cms (20110403.2-1) testing; urgency=low

  * New upstream (add missing images to hubbasic template)

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sun, 03 Apr 2011 13:08:21 -0400

hubzero-cms (20110403.1-1) testing; urgency=low

  * New upstream (add hubbasic template sliding panes images into template dir)

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sun, 03 Apr 2011 01:30:44 -0400

hubzero-cms (20110402.2-1) testing; urgency=low

  * New upstream (fixes file uploads to new groups during creation)

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sat, 02 Apr 2011 23:21:27 -0400

hubzero-cms (20110402.1-3) testing; urgency=low

  * And another bug down.

 -- John Rosheck <jrosheck@purdue.edu>  Sat, 02 Apr 2011 17:09:20 -0400

hubzero-cms (20110402.1-2) testing; urgency=low

  * Fixed bug in postinst

 -- John Rosheck <jrosheck@purdue.edu>  Sat, 02 Apr 2011 16:36:45 -0400

hubzero-cms (20110402.1-1) testing; urgency=low

  *  New Upstream (bugfix collection)

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sat, 02 Apr 2011 15:22:46 -0400

hubzero-cms (20110327.2-1) testing; urgency=low

  * New upstream (copyright/license updates for HUBbub 2011)

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sun, 27 Mar 2011 19:53:22 -0400

hubzero-cms (20110326.1-1) testing; urgency=low

  * New upstream (a year of updates)
  * Remove joomla code (now in hubzero-cms-joomla)
  * Remove installation code (now in hubzero-cms-joomla-installation)

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sat, 26 Mar 2011 17:14:53 -0400

hubzero-cms (20100408.4-1) testing; urgency=low

  * changed paths from /usr/lib/hubzero/cms to /usr/share/hubzero-cms in
    debian/rules and the patch file.
  * new copyright file and kept Joomla reference

 -- John Rosheck <jrosheck@purdue.edu>  Thu, 03 Mar 2011 22:48:13 -0500

hubzero-cms (20100408.3-1) unstable; urgency=low

  * Non-maintainer upload.
  * Adding to unstable repository, needed new version

 -- John Rosheck <jrosheck@purdue.edu>  Thu, 23 Sep 2010 13:23:09 -0400

hubzero-cms (20100408.2-1) stable; urgency=low

  * New upstream (nanohub fixes, more default configuration fixes) 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 08 Apr 2010 20:50:51 -0400

hubzero-cms (20100407.1-1) stable; urgency=low

  * New upstream (fix configuration defaults, addrepo location)

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 07 Apr 2010 17:55:33 -0400

hubzero-cms (20100406.2-1) stable; urgency=low

  * New Upstream (remove com_mw reference)

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 06 Apr 2010 19:35:05 -0400

hubzero-cms (20100406.1-2) stable; urgency=low
 
  * New upstream (Joomla! 1.5.15 update)

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 06 Apr 2010 10:10:34 -0400

hubzero-cms (20100405.2-1) stable; urgency=low

  * New upstream (fixed sample data)

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 05 Apr 2010 19:29:20 -0400

hubzero-cms (20100405.1-1) stable; urgency=low

  * New upstream (sync with nanohub)

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 05 Apr 2010 18:21:02 -0400

hubzero-cms (20100404.1-4) stable; urgency=low

  * dh_fixperms is not my friend 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sun, 04 Apr 2010 15:49:23 -0400

hubzero-cms (20100404.1-3) stable; urgency=low

  * Trouble getting fakeroot build to keep permissions 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sun, 04 Apr 2010 15:28:15 -0400

hubzero-cms (20100404.1-2) stable; urgency=low

  * Fix typo in dependency name 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sun, 04 Apr 2010 14:46:46 -0400

hubzero-cms (20100404.1-1) stable; urgency=low

  * New upstream (includes site/protected directory)
  * Create /var/log/hub directory
  * Set group write permissions across entire tree

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sun, 04 Apr 2010 14:37:18 -0400

hubzero-cms (20100402.1-1) stable; urgency=low

  * Initial release

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 02 Apr 2010 12:08:23 -0400

=== debian/control ===
Source: hubzero-cms
Section: web
Priority: extra
Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
Build-Depends: debhelper (>= 7), quilt
Standards-Version: 3.7.3
Homepage: http://hubzero.org

Package: hubzero-cms
Architecture: all
Depends: hubzero-cms-joomla, hubzero-cms-joomla-installation, expect, python-dns, gnuplot, hubzero-apache2, hubzero-texvc
Description: The HUBzero(R) Platform for Scientific Collaboration CMS
 The HUBzero(R) Platform for Scientific Collaboration is a platform used to 
 create dynamic web sites for scientific research and educational activities. 
 With HUBzero, you can easily publish your research software and related 
 educational materials on the web.
 .
 HUBzero is a registered trademark of Purdue University.
 .
 This package contains the HUBzero Content Management System, an extension
 to the Joomla! CMS provided via the hubzero-cms-joomla package.

=== debian/rules ===
#!/usr/bin/make -f
#
# @package      hubzero-cms
# @file         rules
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2011 Purdue University. All rights reserved.
# @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
#
# Copyright (c) 2010-2011 Purdue University
# All rights reserved.
#
# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
#
# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
# software: you can redistribute it and/or modify it under the terms of
# the GNU Lesser General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# HUBzero is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# HUBzero is a registered trademark of Purdue University.
#
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PACKAGE=$(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
VERSION=$(shell dpkg-parsechangelog  | sed -rne 's,^Version: ([^-]+).*,\1,p')
DEBVERSION=$(shell dpkg-parsechangelog  | sed -ne 's,Version: ,,p')

include /usr/share/quilt/quilt.make

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	touch $@

distclean:
	rm -f hubconfiguration.php-dist HUBZERO-CREDITS.php
	rm -fr administrator components language libraries modules plugins site templates

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	install -m 755 --owner root --group root -d $(CURDIR)/debian/hubzero-cms/etc
	install -m 755 --owner root --group root -d $(CURDIR)/debian/hubzero-cms/var
	install -m 755 --owner root --group root -d $(CURDIR)/debian/hubzero-cms/var/log
	install -m 775 --owner root --group www-data -d $(CURDIR)/debian/hubzero-cms/var/log/hubzero
	install -m 644 --owner root --group root debian/logrotate-hub-access.conf $(CURDIR)/debian/hubzero-cms/etc/logrotate-hub-access.conf
	install -m 644 --owner root --group root debian/logrotate-cmsauth.conf $(CURDIR)/debian/hubzero-cms/etc/logrotate-cmsauth.conf

# Build architecture-independent files here.
binary-indep: build install
	dh_install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
#	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## hubzero-cms 20120923.6

=== debian/changelog ===
hubzero-cms (20120923.6-1) unstable; urgency=low

  * fix secrets update 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sun, 23 Sep 2012 17:54:55 -0400

hubzero-cms (20120923.5-1) unstable; urgency=low

  * fix hubrepo password changing
  * upstream pull 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sun, 23 Sep 2012 17:44:51 -0400

hubzero-cms (20120923.4-1) unstable; urgency=low

  * need the apps user to be able to read hubconfiguration.php 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sun, 23 Sep 2012 15:14:09 -0400

hubzero-cms (20120923.3-1) unstable; urgency=low

  * fix ldap group dn syntax for trac 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sun, 23 Sep 2012 14:48:31 -0400

hubzero-cms (20120923.2-1) unstable; urgency=low

  * put rewrite lock outside of virtual host definition

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sun, 23 Sep 2012 13:33:11 -0400

hubzero-cms (20120923.1-1) unstable; urgency=low

  * fix submit-server configuration

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sun, 23 Sep 2012 11:07:49 -0400

hubzero-cms (20120922.2-1) unstable; urgency=low

  * merge submit and submit-server configuration
  * upstream pull

 -- David Benham <dbenham@purdue.eud>  Sat, 22 Sep 2012 19:32:46 -0400

hubzero-cms (20120922.1-1) unstable; urgency=low

  * upstream pull

 -- David Benham <dbenham@purdue.edu>  Sat, 22 Sep 2012 17:42:47 -0400

hubzero-cms (20120921.4-1) unstable; urgency=low

  * added HUBNAME forge to hubconfiguration.php file
  * added configure/submit section
  * added mw-service enable, named mw to mw-client, moved disk_quota to mw-service

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 21 Sep 2012 16:31:58 -0400

hubzero-cms (20120921.3-1) unstable; urgency=low

  * repo password updates
  * fix extra newline in email from addresses in configuration.php
  * upstream pull 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 21 Sep 2012 15:10:22 -0400

hubzero-cms (20120921.2-1) unstable; urgency=low

  * upstream pull 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 21 Sep 2012 10:51:48 -0400

hubzero-cms (20120921.1-1) unstable; urgency=low

  * upstream pull

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 21 Sep 2012 09:22:49 -0400

hubzero-cms (20120920.5-1) unstable; urgency=low

  * upstream pull 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 20 Sep 2012 23:16:26 -0400

hubzero-cms (20120920.4-1) unstable; urgency=low

  * upstream pull

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 20 Sep 2012 22:54:11 -0400

hubzero-cms (20120920.3-1) unstable; urgency=low

  * add recommended dependency for hubzero-mailgateway 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 20 Sep 2012 20:11:45 -0400

hubzero-cms (20120920.2-1) unstable; urgency=low

  * added perms and ownership to hubconfiguration.php file
  * create the hubconfiguration.php file during forge enable
  * added /etc/vz/vz.conf logic for turning disk quota off
  * added mailgateway configure and hubzero.conf file creation logic 
  * upstream pull

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 20 Sep 2012 18:29:03 -0400

hubzero-cms (20120920.1-1) unstable; urgency=low

  * upstream pull 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 20 Sep 2012 11:29:35 -0400

hubzero-cms (20120919.9-1) unstable; urgency=low

  * fix textifier.conf ownership/permissions
  * upstream pull 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 19 Sep 2012 20:52:31 -0400

hubzero-cms (20120919.8-1) unstable; urgency=low

  * upstream pull 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 19 Sep 2012 20:40:43 -0400

hubzero-cms (20120919.7-1) unstable; urgency=low

  * added /srv/HUBNAME/projects directory and updated the params field 
    for the com_projects to have webpath 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 19 Sep 2012 17:51:18 -0400

hubzero-cms (20120919.6-1) unstable; urgency=low

  * added ownership to textifier conf file
  * added textifier enable

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 19 Sep 2012 16:38:17 -0400

hubzero-cms (20120919.5-1) unstable; urgency=low

  * vncproxy m4 fix, forgot to put a 'D' in front of the defines
  * added logic to check for conf file sections and add them when adding a 
    possibly new value if the section doesn't exist, 
  * add etc/init.d/expire-sessions restart to enable mw --enable

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 19 Sep 2012 15:35:04 -0400

hubzero-cms (20120919.4-1) unstable; urgency=low

  * added vncproxy flag to m4, changed perms for sudoers.d/hubzero-forge file
  * fix m4 formatting, dependencies, and version bump for upstream pull
  * upstream pull

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 19 Sep 2012 15:08:05 -0400

hubzero-cms (20120919.3-1) unstable; urgency=low

  * added apache restart to filexfer enable. Reworked sudoers logic to 
    use hub specific file in sudoers.d directory
  * reworked call to addhubuser to support changed function arg list
  * more m4 formatting fixes
  * update m4 tab alignments and version bump for upstream pull
 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 19 Sep 2012 13:53:44 -0400

hubzero-cms (20120919.2-1) unstable; urgency=low

  * fix more m4 alignments 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 19 Sep 2012 09:59:09 -0400

hubzero-cms (20120919.1-1) unstable; urgency=low

  * fix m4 tab alignments
  * upstream pull

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 19 Sep 2012 09:47:16 -0400

hubzero-cms (20120918.2-1) unstable; urgency=low

  * added enable vncproxy support
  * upstream pull 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 18 Sep 2012 18:54:14 -0400

hubzero-cms (20120918.1-1) unstable; urgency=low

  * added mw config
  * upstream pull
  * another day another version 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 18 Sep 2012 14:55:53 -0400



## hubzero-cms 20121012.1

=== debian/changelog ===
hubzero-cms (20121012.1-1) unstable; urgency=low

  * mods to support new db library
  * upstream pull

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 12 Oct 2012 21:18:37 -0400

## hubzero-cms 20121012.2

=== Makefile ===
--- 
+++ 
@@ -42,20 +42,18 @@
 	install --mode 0644 -D hub-ssl.m4 $(USRSHAREDIR)/hubzero-cms/conf
 	install --mode 0644 -D hub.m4 $(USRSHAREDIR)/hubzero-cms/conf
 	install --mode 0755 -D hzcms $(USRBINDIR)/hzcms
-	install --mode 0755 -d $(VARLOGDIR)/apache2
 	install --mode 0770 -d $(VARLOGDIR)/apache2/daily
 	install --mode 0770 -d $(VARLOGDIR)/apache2/imported
-	install --mode 0770 -d $(VARLOGDIR)/apache2/archive
+	install --mode 0750 -d $(VARLOGDIR)/apache2/archive
 	install --mode 0770 -d $(VARLOGDIR)/hubzero-cms
 	install --mode 0770 -d $(VARLOGDIR)/hubzero-cms/daily
 	install --mode 0770 -d $(VARLOGDIR)/hubzero-cms/imported
 	install --mode 0770 -d $(VARLOGDIR)/hubzero-cms/archive
 
 configure:
-	install --mode 0755 --owner root --group adm -d /var/log/apache2
 	install --mode 0770 --owner www-data --group www-data -d /var/log/apache2/daily
 	install --mode 0770 --owner www-data --group www-data -d /var/log/apache2/imported
-	install --mode 0770 --owner www-data --group www-data -d /var/log/apache2/archive
+	install --mode 0770 --owner root --group www-data -d /var/log/apache2/archive
 	install --mode 0770 --owner root --group www-data -d /var/log/hubzero-cms
 	install --mode 0770 --owner root --group www-data -d /var/log/hubzero-cms/daily
 	install --mode 0770 --owner root --group www-data -d /var/log/hubzero-cms/imported

=== debian/changelog ===
hubzero-cms (20121012.2-1) unstable; urgency=low

  * don't change /var/log/apache2 owner/permissions in config step 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 19 Oct 2012 15:37:49 -0400

## hubzero-cms 20121012.3

=== debian/changelog ===
hubzero-cms (20121012.3-1) unstable; urgency=low

  * fix case in default section header of /etc/hubzero.conf 
    inherited from old installs

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 19 Oct 2012 16:37:21 -0400

## hubzero-cms 20121012.4

=== debian/changelog ===
hubzero-cms (20121012.4-1) unstable; urgency=low

  * move subversion configuration to /etc/apache2/HUBNAME.conf.d/

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 22 Oct 2012 13:18:55 -0400

## hubzero-cms 20121012.5

=== debian/changelog ===
hubzero-cms (20121012.5-1) unstable; urgency=low

  * update hubzero python api calls

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 22 Oct 2012 13:59:24 -0400

## hubzero-cms 20121015.1

=== debian/changelog ===
hubzero-cms (20121015.1-1) unstable; urgency=low

  * add schema update to hzcms update call
  * upstream pull (switch to branch 1.1)

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 23 Oct 2012 11:45:49 -0400

=== debian/control ===
Source: hubzero-cms
Section: web
Priority: extra
Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.7.3
Homepage: http://hubzero.org

Package: hubzero-cms
Depends: apache2-mpm-prefork(>=2.2),libapache2-mod-php5(>=5.3),php5-mysql,php5-gd,php5-curl,hubzero-python,exim4,m4,mysql-client,python-mysqldb,python-ldap
Recommends: php5-stem, hubzero-texvc, hubzero-textifier, clamav, hubzero-mailgateway
Architecture: all
Description: The HUBzero(R) Platform for Scientific Collaboration CMS
 The HUBzero(R) Platform for Scientific Collaboration is a platform used to 
 create dynamic web sites for scientific research and educational activities. 
 With HUBzero, you can easily publish your research software and related 
 educational materials on the web.
 .
 HUBzero is a registered trademark of HUBzero Foundation, LLC.
 .
 This package contains the HUBzero Content Management System, which is based
 on (but not necessarily 100% compatible with) the Joomla! CMS <joomla.org>.

## hubzero-cms 20121015.2

=== debian/changelog ===
hubzero-cms (20121015.2-1) unstable; urgency=low

  * add python-argparse dependency 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 23 Oct 2012 16:31:58 -0400

## hubzero-cms 20121015.3

=== debian/changelog ===
hubzero-cms (20121015.3-1) unstable; urgency=low

  * updated old call to query_selectscalar from execSelectQueryScalar
  * minor fix to pass fqdn into m4 processing of the apache config files
  * upstream pull for security updates

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 07 Nov 2012 19:24:10 -0500

## hubzero-cms 20121015.4

=== debian/changelog ===
hubzero-cms (20121015.4-1) unstable; urgency=low

  * create hubname.conf.d directory when upgrading subversion configuration

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 07 Nov 2012 20:08:14 -0500

## hubzero-cms 20121015.5

=== debian/changelog ===
hubzero-cms (20121015.5-1) unstable; urgency=low

  * fix syntax error from lack of any testing

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 07 Nov 2012 20:11:51 -0500

## hubzero-cms 20121015.6

=== debian/changelog ===
hubzero-cms (20121015.6-1) unstable; urgency=low

  * check correct subversion configuration variable

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 07 Nov 2012 20:15:39 -0500

## hubzero-cms 20121015.7

=== debian/changelog ===
hubzero-cms (20121015.7-1) unstable; urgency=low

  * create hubname.conf.d directory as normal part of subversion enable

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 08 Nov 2012 10:35:40 -0500

## hubzero-cms 20121015.8

=== debian/changelog ===
hubzero-cms (20121015.8-2) unstable; urgency=low

  * lack of testing strikes again, typo fixed

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 08 Nov 2012 10:39:37 -0500

## hubzero-cms 20121015.9

=== debian/changelog ===
hubzero-cms (20121015.9-1) unstable; urgency=low

  * fix nsswitch permission problem when doing an update 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 08 Nov 2012 10:48:18 -0500

## hubzero-cms 20121015.10

=== debian/changelog ===
hubzero-cms (20121015.10-1) unstable; urgency=low

  * turn off php engine in site directory/
  * upstream pull for security updates

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 03 Dec 2012 15:15:10 -0500

## hubzero-cms 20121015.11

=== debian/changelog ===
hubzero-cms (20121015.11-1) unstable; urgency=low

  * fix logrotate m4 file quoting problem

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 06 Dec 2012 13:44:24 -0500

## hubzero-cms 20121015.12

=== debian/changelog ===
hubzero-cms (20121015.12-1) unstable; urgency=low

  * regenerate logrotate files on hzcms update 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 06 Dec 2012 14:01:49 -0500

## hubzero-cms 20121218.1

=== debian/changelog ===
hubzero-cms (20121218.1-1) unstable; urgency=low

  * fix hzcms updater to fix rather than regerenate some config files
  * upstream pull (all fixes)

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 18 Dec 2012 14:55:31 -0500

## hubzero-cms 20121220.1

=== Makefile ===
--- 
+++ 
@@ -51,6 +51,7 @@
 	install --mode 0770 -d $(VARLOGDIR)/hubzero-cms/archive
 
 configure:
+	if [ -e /etc/hubzero.conf ]; then sed -e "s/^\s*\[\s*default\s*]\s*$/[DEFAULT]/" --in-place /etc/hubzero.conf; fi
 	install --mode 0770 --owner www-data --group www-data -d /var/log/apache2/daily
 	install --mode 0770 --owner www-data --group www-data -d /var/log/apache2/imported
 	install --mode 0770 --owner root --group www-data -d /var/log/apache2/archive

=== debian/changelog ===
hubzero-cms (20121220.1-1) unstable; urgency=low

  * fix svn.conf incorrectly set by previous hzcms updater
  * upstream pull (all fixes)

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 20 Dec 2012 10:08:26 -0500

## hubzero-cms 20121220.2

=== debian/changelog ===
hubzero-cms (20121220.2-1) unstable; urgency=low

  * fix filexfer-xlate configuration in hub-ssl.m4
  * upstream pull (all fixes) 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 20 Dec 2012 15:43:36 -0500

## hubzero-cms 20121221.1

=== debian/changelog ===
hubzero-cms (20121221.1-1) unstable; urgency=low

  * upstream pull (all fixes)

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 21 Dec 2012 13:32:35 -0500

## hubzero-cms 20121221.2

=== debian/changelog ===
hubzero-cms (20121221.2-1) unstable; urgency=low

  * upstream pull (all fixes)

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 21 Dec 2012 15:32:48 -0500

## hubzero-cms 20130107.1

=== debian/changelog ===
hubzero-cms (20130107.1-1) unstable; urgency=low

  *  upstream pull (all fixes)

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 07 Jan 2013 10:18:46 -0500

## hubzero-cms 20130114.1

=== debian/changelog ===
hubzero-cms (20130114.1-1) unstable; urgency=low

  * upstream pull (allfixes)
  * updater fix to support upstream pull

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 14 Jan 2013 15:27:55 -0500

## hubzero-cms 20130115.1

=== debian/changelog ===
hubzero-cms (20130115.1-1) unstable; urgency=low

  * upstream pull (allfixes)

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 15 Jan 2013 10:10:46 -0500

## hubzero-cms 20130115.2

=== debian/changelog ===
hubzero-cms (20130115.2-1) unstable; urgency=low

  * actually do the upstream pull (allfixes) this time

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 15 Jan 2013 10:53:32 -0500

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Homepage: http://hubzero.org
 
 Package: hubzero-cms
-Depends: apache2-mpm-prefork(>=2.2),libapache2-mod-php5(>=5.3),php5-mysql,php5-gd,php5-curl,hubzero-python,exim4,m4,mysql-client,python-mysqldb,python-ldap
+Depends: apache2-mpm-prefork(>=2.2),libapache2-mod-php5(>=5.3),php5-mysql,php5-gd,php5-curl,hubzero-python,exim4,m4,mysql-client,python-mysqldb,python-ldap,python-argparse
 Recommends: php5-stem, hubzero-texvc, hubzero-textifier, clamav, hubzero-mailgateway
 Architecture: all
 Description: The HUBzero(R) Platform for Scientific Collaboration CMS

## hubzero-cms 20130128.1

=== debian/changelog ===
hubzero-cms (20130128.1-1) unstable; urgency=low

  * upstream pull (all fixes)

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 28 Jan 2013 13:15:59 -0500

## hubzero-cms 20130131.1

=== debian/changelog ===
hubzero-cms (20130131.1-1) unstable; urgency=low

  * upstream pull (all fixes)
  * add base ssh/sftp configuration support to hzcms

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 31 Jan 2013 14:51:55 -0500

## hubzero-cms 20130219.1

=== debian/changelog ===
hubzero-cms (20130219.1-1) unstable; urgency=low

  * upstream pull (all fixes)
  * patch direct access to wishlist attachments

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 19 Feb 2013 11:07:35 -0500

## hubzero-cms 20130219.2

=== debian/changelog ===
hubzero-cms (20130219.2-1) unstable; urgency=low

  * patch the patch for direct access to wishlist attachments

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 19 Feb 2013 11:16:19 -0500

## hubzero-cms 20130219.3

=== debian/changelog ===
hubzero-cms (20130219.3-1) unstable; urgency=low

  * upstream pull (all fixes) 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 19 Feb 2013 14:13:57 -0500

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: hubzero-cms
 Depends: apache2-mpm-prefork(>=2.2),libapache2-mod-php5(>=5.3),php5-mysql,php5-gd,php5-curl,hubzero-python,exim4,m4,mysql-client,python-mysqldb,python-ldap,python-argparse
-Recommends: php5-stem, hubzero-texvc, hubzero-textifier, clamav, hubzero-mailgateway
+Recommends: php5-stem, hubzero-texvc, hubzero-textifier, clamav, hubzero-mailgateway, git
 Architecture: all
 Description: The HUBzero(R) Platform for Scientific Collaboration CMS
  The HUBzero(R) Platform for Scientific Collaboration is a platform used to

## hubzero-cms 20130219.4

=== debian/changelog ===
hubzero-cms (20130219.4-1) unstable; urgency=low

  * fix hzcms sftpEnable to check variable existence before use

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 19 Feb 2013 14:46:36 -0500

## hubzero-cms 20130509.2

=== debian/changelog ===
hubzero-cms (20130509.2-1) unstable; urgency=low

  * hotfix for saving profile tags

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 09 May 2013 12:43:27 -0400

hubzero-cms (20130509.1-1) unstable; urgency=low

  * hotfixes for group schema changes made in last update

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 09 May 2013 11:50:01 -0400

## hubzero-cms 20130513.1

=== debian/changelog ===
hubzero-cms (20130513.1-1) unstable; urgency=low

  * hotfix tag search issues
  * hotfix messaging issues

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 13 May 2013 09:22:33 -0400

## hubzero-cms 20130514.1

=== debian/changelog ===
hubzero-cms (20130514.1-1) unstable; urgency=low

  * hotfix force login to tool pipeline
  * hotfix addrepo error passing 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 14 May 2013 10:32:11 -0400

=== debian/rules ===
#!/usr/bin/make -f
#
# @package      hubzero-cms
# @file         rules
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2012 HUBzero Foundation, LLC.
# @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
#
# Copyright (c) 2012 HUBzero Foundation, LLC.
#
# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
#
# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
# software: you can redistribute it and/or modify it under the terms of
# the GNU Lesser General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# HUBzero is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# HUBzero is a registered trademark of Purdue University.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PACKAGE=$(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
VERSION=$(shell dpkg-parsechangelog  | sed -rne 's,^Version: ([^-]+).*,\1,p')
DEBVERSION=$(shell dpkg-parsechangelog  | sed -ne 's,Version: ,,p')

include /usr/share/quilt/quilt.make

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/hubzero-cms install

# Build architecture-independent files here.
binary-indep: build install
	dh_install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
#	dh_installdocs
#	dh_installexamples
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms -X /var/log/hubzero-cms -X /var/log/hubzero-cms/daily -X /var/log/hubzero-cms/imported -X /var/log/hubzero-cms/archive -X /var/log/apache2/daily -X /var/log/apache2/imported -X /var/log/apache2/archive -X /var/log/apache2
	chown root:adm $(CURDIR)/debian/hubzero-cms/var/log/apache2
	chown www-data:www-data $(CURDIR)/debian/hubzero-cms/var/log/apache2/daily
	chown www-data:www-data $(CURDIR)/debian/hubzero-cms/var/log/apache2/imported
	chown www-data:www-data $(CURDIR)/debian/hubzero-cms/var/log/apache2/archive
	chown www-data:www-data $(CURDIR)/debian/hubzero-cms/var/log/hubzero-cms
	chown www-data:www-data $(CURDIR)/debian/hubzero-cms/var/log/hubzero-cms/daily
	chown www-data:www-data $(CURDIR)/debian/hubzero-cms/var/log/hubzero-cms/imported
	chown www-data:www-data $(CURDIR)/debian/hubzero-cms/var/log/hubzero-cms/archive
	
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## hubzero-cms 20130520.1

=== debian/changelog ===
hubzero-cms (20130520.1-1) unstable; urgency=low

  * hotfix for publish up date in blogs
  * hotfix for filexfer popup page styling

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 20 May 2013 15:09:31 -0400

## hubzero-cms 20130529.1

=== debian/changelog ===
hubzero-cms (20130529.1-1) unstable; urgency=low

  * hotfix for group plugin forced login redirect 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 29 May 2013 11:50:07 -0400

## hubzero-cms 20130529.2

=== debian/changelog ===
hubzero-cms (20130529.2-1) unstable; urgency=low

  * fix hzcms to modify /etc/logrotate.d/apache2 to not conflict with hubzero
    cms log rotation files.

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 29 May 2013 16:42:54 -0400

## hubzero-cms 20130530.1

=== debian/changelog ===
hubzero-cms (20130530.1-1) unstable; urgency=low

  * fix hzcms to not install with hubname > 16 characters 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 30 May 2013 08:44:11 -0400

## hubzero-cms 20130530.2

=== debian/changelog ===
hubzero-cms (20130530.2-1) unstable; urgency=low

  * hotfix template fix for placeholder support in some browsers (ie8 registration problems)

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 30 May 2013 09:26:37 -0400

## hubzero-cms 20130531.1

=== debian/changelog ===
hubzero-cms (20130531.1-1) unstable; urgency=low

  * fix several variable naming errors exception handling code
  * add uri and dbname to global site configuration 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 31 May 2013 15:40:29 -0400

## hubzero-cms 20130607.1

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # @package      hubzero-cms
 # @file         Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2012 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2012-2013 HUBzero Foundation, LLC.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
-# Copyright (c) 2012 HUBzero Foundation, LLC.
+# Copyright (c) 2012-2013 HUBzero Foundation, LLC.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #
@@ -27,6 +27,7 @@
 USRSHAREDIR=$(DESTDIR)/usr/share
 USRBINDIR=$(DESTDIR)/usr/bin
 VARLOGDIR=$(DESTDIR)/var/log
+ETCDIR=$(DESTDIR)/etc
 
 default all build:
 	@true
@@ -35,13 +36,17 @@
 	install --mode 0755 -d $(USRSHAREDIR)/hubzero-cms
 	cp -r cms $(USRSHAREDIR)/hubzero-cms
 	rm -fr $(USRSHAREDIR)/hubzero-cms/cms/.git
-	install --mode 0644 -D logrotate-cmsauth.m4 $(USRSHAREDIR)/hubzero-cms/conf/logrotate-cmsauth.m4
+
+	install --mode 0644 -D logrotate-cmsauth.m4 $(USRSHAREDIR)/hubzero-cms/conf
 	install --mode 0644 -D logrotate-cmsdebug.m4 $(USRSHAREDIR)/hubzero-cms/conf
+	install --mode 0644 -D logrotate-cmscron.m4 $(USRSHAREDIR)/hubzero-cms/conf
 	install --mode 0644 -D logrotate-hub-access.m4 $(USRSHAREDIR)/hubzero-cms/conf
 	install --mode 0644 -D logrotate-hub-error.m4 $(USRSHAREDIR)/hubzero-cms/conf
+	install --mode 0644 -D cron-cmscron.m4 $(USRSHAREDIR)/hubzero-cms/conf
 	install --mode 0644 -D hub-ssl.m4 $(USRSHAREDIR)/hubzero-cms/conf
 	install --mode 0644 -D hub.m4 $(USRSHAREDIR)/hubzero-cms/conf
 	install --mode 0755 -D hzcms $(USRBINDIR)/hzcms
+	install --mode 0755 -D hzcms-tick $(USRBINDIR)/hzcms-tick
 	install --mode 0770 -d $(VARLOGDIR)/apache2/daily
 	install --mode 0770 -d $(VARLOGDIR)/apache2/imported
 	install --mode 0750 -d $(VARLOGDIR)/apache2/archive
@@ -49,6 +54,7 @@
 	install --mode 0770 -d $(VARLOGDIR)/hubzero-cms/daily
 	install --mode 0770 -d $(VARLOGDIR)/hubzero-cms/imported
 	install --mode 0770 -d $(VARLOGDIR)/hubzero-cms/archive
+	install --mode 0770 -d $(VARLOGDIR)/hubzero-cms/daily/cron
 
 configure:
 	if [ -e /etc/hubzero.conf ]; then sed -e "s/^\s*\[\s*default\s*]\s*$/[DEFAULT]/" --in-place /etc/hubzero.conf; fi
@@ -59,6 +65,7 @@
 	install --mode 0770 --owner root --group www-data -d /var/log/hubzero-cms/daily
 	install --mode 0770 --owner root --group www-data -d /var/log/hubzero-cms/imported
 	install --mode 0770 --owner root --group www-data -d /var/log/hubzero-cms/archive
+	install --mode 0770 --owner root --group www-data -d /var/log/hubzero-cms/daily/cron
 	
 clean:
 	@true

=== debian/changelog ===
hubzero-cms (20130607.1-1) unstable; urgency=low

  * fix /etc/mw-service/mw-service.conf configuration
  * add hzcms configrue cron 
  * add hzcms-tick cron task initiator
  * add config file templates for crontab and logrotate 
  * fix some python lint
  * replace enable_mw with enable_mw_client and enable_mw_service
  * [hotfix] add check for missing view variable to squash error log
  * [hotfix] check existence of array element before using to squash error log

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 07 Jun 2013 11:45:46 -0400

## hubzero-cms 20130613.1

=== debian/changelog ===
hubzero-cms (20130613.1-1.1) unstable; urgency=low

  * hzcms: redo ssh,sftp,mw-virtualssh configuration
  * hzcms: rename some configuration options behind the scene
  * hzcms: add package-config section to conf file
  * [hotfix] pagination in tools pipeline

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 13 Jun 2013 10:29:40 -0400

## hubzero-cms 20130613.2

=== Makefile ===
--- 
+++ 
@@ -36,7 +36,6 @@
 	install --mode 0755 -d $(USRSHAREDIR)/hubzero-cms
 	cp -r cms $(USRSHAREDIR)/hubzero-cms
 	rm -fr $(USRSHAREDIR)/hubzero-cms/cms/.git
-
 	install --mode 0644 -D logrotate-cmsauth.m4 $(USRSHAREDIR)/hubzero-cms/conf
 	install --mode 0644 -D logrotate-cmsdebug.m4 $(USRSHAREDIR)/hubzero-cms/conf
 	install --mode 0644 -D logrotate-cmscron.m4 $(USRSHAREDIR)/hubzero-cms/conf

=== debian/changelog ===
hubzero-cms (20130613.2-1) unstable; urgency=low

  * hzcms: improve error handling and messages a little
  * fix Makefile broken in previous update preventing conf files from being installed 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 13 Jun 2013 14:26:25 -0400

## hubzero-cms 20130613.3

=== debian/changelog ===
hubzero-cms (20130613.3-1) unstable; urgency=low

  * hzcms: add reconfigure subcommand to regenerate some config files on demand
  * fix Makefile that was still broken

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 13 Jun 2013 14:39:04 -0400

## hubzero-cms 20130614.1

=== debian/changelog ===
hubzero-cms (20130614.1-1) unstable; urgency=low

  * hzcms: moved hubzero-forge configuration out of postinst and into hzcms
  * hzcms: clean up messages some more
  * tighten argparse dependency to make wheezy happier

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 14 Jun 2013 13:45:54 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Homepage: http://hubzero.org
 
 Package: hubzero-cms
-Depends: apache2-mpm-prefork(>=2.2),libapache2-mod-php5(>=5.3),php5-mysql,php5-gd,php5-curl,hubzero-python,exim4,m4,mysql-client,python-mysqldb,python-ldap,python-argparse
+Depends: apache2-mpm-prefork(>=2.2),libapache2-mod-php5(>=5.3),php5-mysql,php5-gd,php5-curl,hubzero-python,exim4,m4,mysql-client,python-mysqldb,python-ldap,python-argparse (>=1.1)
 Recommends: php5-stem, hubzero-texvc, hubzero-textifier, clamav, hubzero-mailgateway, git
 Architecture: all
 Description: The HUBzero(R) Platform for Scientific Collaboration CMS

## hubzero-cms 20130618.1

=== debian/changelog ===
hubzero-cms (20130618.1-1) unstable; urgency=low

  * hzcms: use python2.6 explicitly to help wheeezy out
  * fix php call by reference instance (more to come surely)

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 18 Jun 2013 09:29:45 -0400

## hubzero-cms 20130618.2

=== debian/changelog ===
hubzero-cms (20130618.2-1) unstable; urgency=low

  * hzcms: restart autofs if sftp configuration changes

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 18 Jun 2013 18:31:25 -0400

## hubzero-cms 20130619.1

=== debian/changelog ===
hubzero-cms (20130619.1-1) unstable; urgency=low

  * hzcms: close brace at end of hubconfiguration.php file
  * hotfix for some php5.4 errors

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 19 Jun 2013 12:56:47 -0400

## hubzero-cms 20130621.1

=== debian/changelog ===
hubzero-cms (20130621.1-1) unstable; urgency=low

  * hotfix wiki links in cms
  * hzcms: improve verbose feedback; cron configuration
  * hzcms-tick: add timing stats; improve logging config

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 21 Jun 2013 09:09:50 -0400

## hubzero-cms 20130621.2

=== debian/changelog ===
hubzero-cms (20130621.2-1) unstable; urgency=low

  * hzcms: updater fixes hubconfiguration.php missing curly brace 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 21 Jun 2013 12:06:08 -0400

## hubzero-cms 20130622.1

=== debian/changelog ===
hubzero-cms (20130622.1-1) unstable; urgency=low

  * hzcms: fix typo of resetattrs parameter 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sat, 22 Jun 2013 15:19:44 -0400

## hubzero-cms 20130622.2

=== debian/changelog ===
hubzero-cms (20130622.2-1) unstable; urgency=low

  * hzcms: to include addhubuser api call changes in parameters

 -- David Benham <dbenham@purdue.edu>  Mon, 24 Jun 2013 17:31:49 -0400

## hubzero-cms 20130624.1

=== debian/changelog ===
hubzero-cms (20130624.1-1) unstable; urgency=low

  * hzcms: to include addhubuser api call changes in parameters

 -- David Benham <dbenham@purdue.edu>  Mon, 24 Jun 2013 17:31:49 -0400

## hubzero-cms 20130624.2

=== debian/changelog ===
hubzero-cms (20130624.2-1) unstable; urgency=low

  * build with submodule this time ;)

 -- David Benham <dbenham@purdue.edu>  Mon, 24 Jun 2013 18:31:29 -0400

## hubzero-cms 20130625.1

=== debian/changelog ===
hubzero-cms (20130625.1-1) unstable; urgency=low

  * package rebuild to pickup some hzcms mods to account for python api changes 

 -- David Benham <dbenham@purdue.edu>  Tue, 25 Jun 2013 14:07:43 -0400

## hubzero-cms 20130626.1

=== debian/changelog ===
hubzero-cms (20130626.1-1) unstable; urgency=low

  * forgot to commit cms patch, packages and git might be out of sync 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 26 Jun 2013 11:21:46 -0400

## hubzero-cms 20130626.2

=== debian/changelog ===
hubzero-cms (20130626.2-1) unstable; urgency=low

  * update initial schema file to match post-update

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 26 Jun 2013 14:26:45 -0400

## hubzero-cms 20130627.1

=== debian/changelog ===
hubzero-cms (20130627.1-1) unstable; urgency=low

  * version bump, grab some useradd changes to hzcms

 -- David Benham <dbenham@purdue.edu>  Thu, 27 Jun 2013 16:24:34 -0400

## hubzero-cms 20130627.2

=== debian/changelog ===
hubzero-cms (20130627.2-1) unstable; urgency=low

  * version bump

 -- David Benham <dbenham@purdue.edu>  Thu, 27 Jun 2013 16:35:55 -0400

## hubzero-cms 20130628.1

=== debian/changelog ===
hubzero-cms (20130628.1-1) unstable; urgency=low

  * hzcms: add openvz configuration options
  * hzcms: use enhanced adduser function
  * hzcms: enchance vncproxy configuration options
  * hotfix: fix syntax in schema update of previous commit

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 28 Jun 2013 09:13:46 -0400

## hubzero-cms 20130628.2

=== debian/changelog ===
hubzero-cms (20130628.2-1) unstable; urgency=low

  * hzcms: create vncproxy user with useradd

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 28 Jun 2013 11:40:48 -0400

## hubzero-cms 20130628.3

=== debian/changelog ===
hubzero-cms (20130628.3-1) unstable; urgency=low

  * hzcms: fix open() call in fileCreate()
  * hzcms: reload cron after doing a cron configure change 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 28 Jun 2013 14:40:39 -0400

## hubzero-cms 20130628.4

=== debian/changelog ===
hubzero-cms (20130628.4-1) unstable; urgency=low

  * hzcms: fix error messaging from reload of cron

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 28 Jun 2013 14:55:00 -0400

## hubzero-cms 20130628.5

=== debian/changelog ===
hubzero-cms (20130628.5-1) unstable; urgency=low

  * hotfix: a batch of E_STRICT errors fixed 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 28 Jun 2013 18:31:16 -0400

## hubzero-cms 20130702.1

=== debian/changelog ===
hubzero-cms (20130702.1-1) unstable; urgency=low

  * hzcms: configure fuse once and for all when configuring WebDAV

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 02 Jul 2013 10:49:34 -0400

## hubzero-cms 20130702.3

=== debian/changelog ===
hubzero-cms (20130702.3-1) unstable; urgency=low

  * hzcms: add spamassassin config to mailgateway

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 02 Jul 2013 15:04:16 -0400

hubzero-cms (20130702.2-1) unstable; urgency=low

  * hzcms: fix final status message after openvz configuration enable/disable

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 02 Jul 2013 11:22:24 -0400

## hubzero-cms 20130705.1

=== debian/changelog ===
hubzero-cms (20130705.1-1) unstable; urgency=low

  * hzcms: hub_template no longer should be in mw-client.conf
  * hotfix: move filexfer css to com_tools override

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 05 Jul 2013 14:17:48 -0400
